#define EXTERN extern
#include "pdftexd.h"

#define flushstring() do {                                 \
	strptr--;                                              \
	poolptr = strstart[strptr];                            \
} while (0)

#define pdfout(c) do {                                     \
    pdfbuf[pdfptr++] = c;                                  \
    if (pdfptr == pdfbufsize)                              \
        pdfflush();                                        \
} while (0)

#define nozip       0
#define zipwritting 1
#define zipfinish   2

#define pdfoffset   (pdfgone + pdfptr)
